Bug 233448 - audio/fluidsynth: Update to 2.0.2
Summary: audio/fluidsynth: Update to 2.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on: 233462 233498 233499 233500 233501 233502 233503
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-23 19:15 UTC by Yuri Victorovich
Modified: 2019-03-02 17:01 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback+


Attachments
patch (30.71 KB, patch)
2018-11-23 19:15 UTC, Yuri Victorovich
no flags Details | Diff
patch (30.70 KB, patch)
2018-11-23 19:17 UTC, Yuri Victorovich
no flags Details | Diff
patch (30.71 KB, patch)
2018-11-23 19:18 UTC, Yuri Victorovich
no flags Details | Diff
patch (31.21 KB, patch)
2018-11-24 19:13 UTC, Yuri Victorovich
no flags Details | Diff
fluidsynth.diff (21.07 KB, patch)
2019-02-03 07:26 UTC, Tobias Kortkamp
no flags Details | Diff
fluidsynth.diff (21.06 KB, patch)
2019-02-03 07:30 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-11-23 19:15:25 UTC
Upstreamed the SNDIO implementation patch that was only in the port for some reason.
Comment 1 Yuri Victorovich freebsd_committer 2018-11-23 19:15:49 UTC
Created attachment 199491 [details]
patch
Comment 2 Yuri Victorovich freebsd_committer 2018-11-23 19:17:16 UTC
Created attachment 199492 [details]
patch
Comment 3 Yuri Victorovich freebsd_committer 2018-11-23 19:18:40 UTC
Created attachment 199493 [details]
patch
Comment 4 Tobias Kortkamp freebsd_committer 2018-11-24 05:57:04 UTC
I can confirm that Sndio appears to still be functional after this
change.  audio/qsynth works fine with this update too, but please
be aware that this update breaks at least audio/lmms (see
bug #233462).  I have not tested other consumers.
Comment 5 Yuri Victorovich freebsd_committer 2018-11-24 17:41:02 UTC
(In reply to Tobias Kortkamp from comment #4)

Thank you, Tobias, for checking dependencies.


-----


There is one unexpected problem which I didn't realize existed: fluid_sndio.c has a custom license. FluidSynth needs it to be changed to LGPL in order for this code to be adopted. I contacted Jacob Meuser asking for change of license, but there is no guarantee that he will answer. If there will be no answer, we will have to keep the sndio in the port. It didn't occur to me to check the license when I submitted the patch to the FluidSynth upstream.
Comment 6 Yuri Victorovich freebsd_committer 2018-11-24 19:13:22 UTC
Created attachment 199520 [details]
patch

* Upstream the remaining FreeBSD patches
* Remove the OSS patch that doesn't seem to matter any more
Comment 7 Tobias Kortkamp freebsd_committer 2019-02-03 07:26:46 UTC
Created attachment 201668 [details]
fluidsynth.diff

Update to FluidSynth 2.0.3.

Upstream closed the sndio patch upstreaming PR.  I guess we will have to keep
these in the tree.  I had to refactor sndio support a bit for FluidSynth 2.0.3.

The previous attempt [1] for upstreaming the other patches was closed too.
I've opened another PR [2] which addresses their comments.

[1] https://github.com/FluidSynth/fluidsynth/pull/472
[2] https://github.com/FluidSynth/fluidsynth/pull/508
Comment 8 Tobias Kortkamp freebsd_committer 2019-02-03 07:30:58 UTC
Created attachment 201669 [details]
fluidsynth.diff

Remove enable-ladcca which doesn't do anything anymore.
Comment 9 commit-hook freebsd_committer 2019-03-02 16:48:02 UTC
A commit references this bug:

Author: riggs
Date: Sat Mar  2 16:47:00 UTC 2019
New revision: 494417
URL: https://svnweb.freebsd.org/changeset/ports/494417

Log:
  Update to upstream version 2.0.3

  While on it:
  - Pet portlint

  PR:		233448
  Submitted by:	yuri
  Reviewed by:	tobik

Changes:
  head/audio/fluidsynth/Makefile
  head/audio/fluidsynth/distinfo
  head/audio/fluidsynth/files/fluid_sndio.c
  head/audio/fluidsynth/files/patch-CMakeLists.txt
  head/audio/fluidsynth/files/patch-src_CMakeLists.txt
  head/audio/fluidsynth/files/patch-src_bindings_fluid__rtkit.c
  head/audio/fluidsynth/files/patch-src_config.cmake
  head/audio/fluidsynth/files/patch-src_drivers_fluid__adriver.c
  head/audio/fluidsynth/files/patch-src_drivers_fluid__adriver.h
  head/audio/fluidsynth/files/patch-src_drivers_fluid__mdriver.c
  head/audio/fluidsynth/files/patch-src_drivers_fluid__mdriver.h
  head/audio/fluidsynth/files/patch-src_drivers_fluid__oss.c
  head/audio/fluidsynth/pkg-plist
Comment 10 commit-hook freebsd_committer 2019-03-02 16:56:11 UTC
A commit references this bug:

Author: riggs
Date: Sat Mar  2 16:55:58 UTC 2019
New revision: 494418
URL: https://svnweb.freebsd.org/changeset/ports/494418

Log:
  Chase update of fluidsynth to 2.0.3

  PR:		233448

Changes:
  head/audio/alure/Makefile
  head/audio/bristol/Makefile
  head/audio/calf-lv2/Makefile
  head/audio/carla/Makefile
  head/audio/csound/Makefile
  head/audio/denemo/Makefile
  head/audio/drumstick/Makefile
  head/audio/fluidplug-lv2/Makefile
  head/audio/fluidsynth-dssi/Makefile
  head/audio/lmms/Makefile
  head/audio/musicpd/Makefile
  head/audio/qsynth/Makefile
  head/audio/sdl2_mixer/Makefile
  head/audio/soundkonverter/Makefile
  head/audio/tuxguitar/Makefile
  head/games/doomsday/Makefile
  head/games/exult/Makefile
  head/games/gzdoom/Makefile
  head/games/scummvm/Makefile
  head/games/slade/Makefile
  head/games/stratagus/Makefile
  head/games/zdoom/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/audacious-plugins-gtk3/Makefile
  head/multimedia/vlc/Makefile
Comment 11 Thomas Zander freebsd_committer 2019-03-02 17:01:17 UTC
Thanks for the great work on this one!